apiCategories
استعلاميتطلب مفتاحًاShop API: the active category tree (ordered by path) for the import wizard. Send back etag as ifNoneMatch to receive an empty page when nothing changed.
الوسائط
| الاسم | النوع | الوصف |
|---|---|---|
| ifNoneMatch | String |
يُرجع
مثال
query ApiCategories($ifNoneMatch: String) {
apiCategories(ifNoneMatch: $ifNoneMatch) {
etag
items {
code
defaultFamilyId
depth
gated
gtinRecommended
id
isActive
parentId
path
updatedAt
}
notModified
}
}curl -sS https://api.wamia.tn/connect/graphql \
-H 'content-type: application/json' \
-H 'x-api-key: wamia_…' \
-H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
-H 'wamia-idempotency-key: 6f0e1a2b-…' \
--data '{"query":"query ApiCategories($ifNoneMatch: String) { apiCategories(ifNoneMatch: $ifNoneMatch) { etag items { code defaultFamilyId depth gated gtinRecommended id isActive parentId path updatedAt } notModified } }"}'